package com.dxhy.core.controller.mailGather;

import com.dxhy.common.controller.AbstractController;
import com.dxhy.common.utils.R;
import com.dxhy.core.service.mailGather.MailGatherLogService;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

/**
 * (MailGatherLog)表控制层
 *
 * @author makejava
 * @since 2023-03-23 08:42:35
 */
@RestController
@RequestMapping("/mailGatherLog")
public class MailGatherLogController extends AbstractController {
    /**
     * 服务对象
     */
    @Resource
    private MailGatherLogService mailGatherLogService;

    /**
     * 分页查询
     *
     * @param pramsMap 筛选条件
     * @return 查询结果
     */
    @PostMapping("/queryByPage")
    public ResponseEntity<R> queryByPage(@RequestBody Map<String, Object> pramsMap) {

//        pramsMap.put("dbName", getUserInfo().getDbName());
//        if (pramsMap.get("username") == null || "".equals(pramsMap.get("username"))) {
//            return ResponseEntity.ok(R.error("收件人姓名不能为空！"));
//        }
        if (pramsMap.get("parseStart") == null || "".equals(pramsMap.get("parseStart"))) {
            return ResponseEntity.ok(R.error("开始日期不能为空！"));
        }
        if (pramsMap.get("parseEnd") == null || "".equals(pramsMap.get("parseEnd"))) {
            return ResponseEntity.ok(R.error("结束日期不能为空！"));
        }
        return ResponseEntity.ok(R.ok().put("data",this.mailGatherLogService.queryByPage(pramsMap)));
    }

}

