package com.dxhy.erp.entity.sdny;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 发票更新
 *
 * @author yaoxj
 * @time 2017年10月30日上午10:14:03
 */
@Data
public class InvoiceUpdate {
    /**
     * 企业id
     */
    private String enterpriseId;
    /**
     * id:必填
     */
    private String userId;
    /**
     * uuid：必填
     */
    private String uuid;
    /**
     * 发票类型：必填
     */
    private String invoiceTypeCode;
    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 开票日期：必填
     */
    private String invoiceDate;
    /**
     * 校验码
     */
    private String verifyCode;
    /**
     * 购买方名称
     */
    private String buyerName;
    /**
     * 是否查验：必填
     */
    private String isCheck;
    /**
     * 查验状态
     */
    private String checkState;
    /**
     * 发票明细第一条
     */
    private String invoiceDetail;
    /**
     * 价税合计：必填
     */
    private String totalAmount;
    /**
     * 合计金额
     */
    private String invoiceAmount;
    /**
     * 销售方名称
     */
    private String salerName;
    /**
     * 备注
     */
    private String remark;
    /**
     * 出发城市
     */
    private String departCity;
    /**
     * 到达城市
     */
    private String arriveCity;
    /**
     * 车次
     */
    private String trainNumber;
    /**
     * 附件张数：必填
     */
    private String invoiceCount;
    /**
     * 报销单提交人用户编号
     */
    private String expenseUserNo;
    /**
     * 发票主键ID
     */
    private String invoiceId;
    /**
     * 起始时间
     */
    private String startDate;
    /**
     * 结束时间
     */
    private String endDate;

    /**
     * 身份证号
     */
    private String identityNumber;

    /**
     * 乘车人
     */
    private String passenger;
    /**
     * 航班号
     */
    private String flightNumber;

    /**
     * 填开时间
     */
    private String dateOfIssue;

    /**
     * 票价
     */
    private String fare;

    /**
     * 民航发展基金
     */
    private String caacDevelopmentFund;

    /**
     * 燃油附加费
     */
    private String fuelSurcharge;

    /**
     * 报销备注
     */
    private String reimbursementNote;

    /**
     * 是否可抵扣
     */
    private String isDeductible;

    /**
     * 座位等级
     */
    private String seatLevel;

    /**
     * 是否有公司印章 1：有 0：无
     */
    private String isCompanySeal;

    /**
     * 是否为OCR返回结果 Y/N
     */
    private String isOcrResult;

    /**
     * 税率
     */
    private String taxRate;

    /**
     * 合计税额
     */
    private BigDecimal taxAmount;

    /**
     * 电子客票号码
     */
    private String electronicTicketNumber;
    /**
     * 报销单据状态
     */
    private String reimburseState;

    /**
     * 明细
     */
    private List<InvoiceDetail> detailList;

    /**
     * 源文件
     */
    private InvoiceFile sourceFile;

    /**
     * 币种编码
     */
    private String currencyCode;

    /**
     * 点击票夹详情，如果为非增值税票，修改为增值税票，查验保存，保存的时候把该值传到后台把原来的发票删除
     */
    private String oldUpdateId;

    /**
     * 币种名称
     */
    private String currencyName;

    /**
     * 发票联次
     */
    private String invoiceSheet;

    /**
     * 过路过桥 发票详情
     */
    private String invoiceDetailInfo;

    private String ocrSalerTaxNo;

    private String ocrTotalAmount;

    private String buyerTaxNo;

    private String buyerAddressTel;

    private String buyerBankAccount;

    private String salerTaxNo;

    private String salerAddressTel;

    private String salerBankAccount;

    private String isCanceled;

    /**
     * 其他税项金额字段-可以编辑
     */
    private String otherTaxAmount;

    /**
     * 可抵扣税额
     */
    private BigDecimal deductTaxAmount;

    /**
     * 缴款单位税号（双抬头）
     */
    private String twoBuyerTaxNo;

    /**
     * 缴款单位名称（双抬头）
     */
    private String twoBuyerName;

    /**
     * 扫一扫标识，true为扫一扫
     */
    private boolean scanFlag = false;

    /**
     * 车辆类型
     */
    private String vehicleType;

    /**
     * 厂牌型号
     */
    private String bandModel;

    /**
     * 产地 机动车
     */
    private String produceArea;

    /**
     * 合格证书
     */
    private String qualifiedNo;

    /**
     * 商检单号
     */
    private String commodityInspectionNo;

    /**
     * 发动机号
     */
    private String engineNo;

    /**
     * 车辆识别号(车架号)
     */
    private String vehicleIdentificationNo;

    /**
     * 进口证明书号
     */
    private String certificateOfImport;

    /**
     * 主管税务机关代码 机动车
     */
    private String taxAuthorityCode;

    /**
     * 完税凭证码 机动车
     */
    private String taxPaymentCertificateNo;

    /**
     * 限乘人数 机动车
     */
    private String limitedPeopleCount;

    /**
     * 主管税务机关名称 机动车
     */
    private String taxAuthorityName;

    /**
     * 吨位 机动车
     */
    private String tonnage;

    /**
     * 微信卡包标识（1：微信卡包，2：企业微信卡包）
     */
    private String wechatPackageStatus;


    /**
     * 飞机-----保险费
     */
    private String insurance;

    /**
     * 报销用户名
     */
    private String userName;

    /**
     * 区块链-查验-地区名称
     */
    private String blockAreaName;

    /**
     * 区块链-是否可以查验
     */
    private String isCheckBlockChain;

    /**
     * 纸质发票机打发票代码
     */
    private String printInvoiceCode;


    /**
     * 纸质发票机打发票号码
     */
    private String printInvoiceNo;
}
